import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listDuty(query) {
  return request({
    url: '/system/duty/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getDuty(id) {
  return request({
    url: '/system/duty/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addDuty(data) {
  return request({
    url: '/system/duty',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateDuty(data) {
  return request({
    url: '/system/duty',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delDuty(id) {
  return request({
    url: '/system/duty/' + id,
    method: 'delete'
  })
}

//查询当前月份安排
export function selMonth(query,id) {
  return request({
    url: '/system/duty/selMonth/'+ id,
    method: 'get',
    params: query
  })
}
//查询日期
export function listTime(query) {
  console.log(query)
  console.log("asdasd")
  return request({
    url: '/system/duty/listTime/',
    method: 'get',
    params: query
  })
}
// 导出【请填写功能名称】
export function exportDuty(query) {
  return request({
    url: '/system/duty/export',
    method: 'get',
    params: query
  })
}
